org.apache.xmlbeans

## Interface SchemaStringEnumEntry

- All Known Implementing Classes:
    SchemaStringEnumEntryImpl

      public interface SchemaStringEnumEntry

  Describes a code-generated string enumeration
  See Also:
    `SchemaType.getStringEnumEntries()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEnumName()` A capitalized name to use for the enumeration constant name
    `int` | `getIntValue()` An integer to represent this choice in the enumeration
    `String` | `getString()` The enumerated string value

- - ### Method Detail

    - #### getString

          String getString()

      The enumerated string value

    - #### getIntValue

          int getIntValue()

      An integer to represent this choice in the enumeration

    - #### getEnumName

          String getEnumName()

      A capitalized name to use for the enumeration constant name